Skip to main content
POST
/
v1
/
partner
/
merchants
/
{merchantId}
/
stores
Create a store
curl --request POST \
  --url https://sandbox.api.acountpay.com/v1/partner/merchants/{merchantId}/stores \
  --header 'Content-Type: application/json' \
  --header 'X-Partner-Client-Id: <api-key>' \
  --header 'X-Partner-Client-Secret: <api-key>' \
  --data '
{
  "name": "Downtown Branch",
  "locationId": "LOC-001",
  "streetAddress": "Nørregade 12",
  "city": "København",
  "postalCode": "1165",
  "countryCode": "DK",
  "phone": "+4512345678",
  "email": "store@example.dk",
  "isDefault": false
}
'
{
  "id": "loc_abc123",
  "name": "Downtown Branch",
  "locationId": "LOC-001",
  "streetAddress": "Nørregade 12",
  "city": "København",
  "postalCode": "1165",
  "countryCode": "DK",
  "phone": "<string>",
  "email": "<string>",
  "isDefault": true,
  "status": "active",
  "createdAt": "2023-11-07T05:31:56Z"
}

Authorizations

X-Partner-Client-Id
string
header
required

Your partner client ID

X-Partner-Client-Secret
string
header
required

Your partner client secret

Path Parameters

merchantId
integer
required

Merchant ID

Body

application/json
name
string
required

Store name

Example:

"Downtown Branch"

locationId
string

SKAT location identifier (auto-generated if omitted)

Example:

"LOC-001"

streetAddress
string
Example:

"Nørregade 12"

city
string
Example:

"København"

postalCode
string
Example:

"1165"

countryCode
string
default:DK
Example:

"DK"

phone
string
Example:

"+4512345678"

email
string<email>
Example:

"store@example.dk"

isDefault
boolean
default:false

Set as default store for the merchant

Response

Store created

id
string
Example:

"loc_abc123"

name
string
Example:

"Downtown Branch"

locationId
string
Example:

"LOC-001"

streetAddress
string
Example:

"Nørregade 12"

city
string
Example:

"København"

postalCode
string
Example:

"1165"

countryCode
string
Example:

"DK"

phone
string
email
string
isDefault
boolean
status
enum<string>
Available options:
active,
inactive
Example:

"active"

createdAt
string<date-time>